MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014531Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2007-01-17 14:322016-12-09 16:38
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0014531: Boolean Operation Algorithm fails
DescriptionUse the Draw commands below to reproduce the bug:

pcylinder c 10 20
pcone x 20 0 20
trotate x 0 0 20 0 1 0 45
ttranslate x 5 0 0
ttranslate x 0 0 1
ttranslate c -5 0 0
explode c f
explode x f
copy c_1 a1
copy x_1 a2
fit
bop a1 a2
bopfuse r

checkshape r

result of cheskshape->
On Shape faulty_1 :
BRepCheck_IntersectingWires
On Shape faulty_2 :
BRepCheck_IntersectingWires
On Shape faulty_3 :
TagsNo tags attached.
Test case numberbugs modalg_6 bug14531
Attached Files

- Relationships

-  Notes
(0057957)
bugmaster (administrator)
2016-09-20 17:39

Problem is not reproduced on master from 2016-09-15
(0057969)
git (administrator)
2016-09-21 10:58

Branch CR14531 has been created by inv.

SHA-1: 91808236f5bb5a50ead7a09531400e32bacb8590


Detailed log of new commits:

Author: bugmaster
Date: Wed Sep 21 10:58:11 2016 +0300

    0014531: Boolean Operation Algorithm fails
    
    Adding test case
(0057970)
bugmaster (administrator)
2016-09-21 10:59

Test case was added.
Result of executing is OK
(0059481)
git (administrator)
2016-10-28 21:44

Branch CR14531 has been deleted by kgv.

SHA-1: 91808236f5bb5a50ead7a09531400e32bacb8590

- Related Changesets
occt: master b357dcc2
Timestamp: 2016-09-21 07:58:11
Author: bugmaster
Details ] Diff ]
0014531: Boolean Operation Algorithm fails

Adding test case
add - tests/bugs/modalg_6/bug14531 Diff ] File ]

- Issue History
Date Modified Username Field Change
2007-01-17 15:08 bugmaster Assigned To bugmaster => pkv
2007-01-17 15:08 bugmaster Status new => assigned
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2016-09-20 17:39 bugmaster Note Added: 0057957
2016-09-20 17:39 bugmaster Assigned To pkv => bugmaster
2016-09-20 17:39 bugmaster Status assigned => feedback
2016-09-21 10:58 git Note Added: 0057969
2016-09-21 10:59 bugmaster Note Added: 0057970
2016-09-21 10:59 bugmaster Status feedback => tested
2016-09-21 11:22 bugmaster Test case number => bugs modalg_6 bug14531
2016-09-21 11:22 bugmaster Fixed in Version EMPTY =>
2016-09-21 11:22 bugmaster Target Version => 7.1.0
2016-09-21 11:22 bugmaster Description Updated View Revisions
2016-09-23 10:21 bugmaster Changeset attached => occt master b357dcc2
2016-09-23 10:21 bugmaster Status tested => verified
2016-09-23 10:21 bugmaster Resolution open => fixed
2016-10-28 21:44 git Note Added: 0059481
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker